Request

Response

    Get a site
    GET

    v1alpha/sites/{siteId}

    Get a site

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/forma/site/v1alpha/sites/{siteId}
    Authentication Context
    user context optional
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via either a two-legged or three-legged OAuth flow.
    X-Ads-Region
    string
    Specifies the geographical location (region) of the service. US or EMEA. Defaults to US.
    * Required

    Request

    URI Parameters

    siteId
    string

    Response

    HTTP Status Code Summary

    200
    OK
    400
    Bad Request
    Malformed request. The request body is not valid according to the schema. See response for details.
    401
    Unauthorized
    Bearer token is not valid
    403
    Forbidden
    Token does not have access to the specified site. Are you in the right region?
    500
    Internal Server Error
    Internal server error

    Response

    Body Structure (200)

    Expand all
    id
    string
    Site ID

    Max length: 40

    name
    string
    createdAt
    datetime: ISO 8601
    hubId
    string
    Max length: 50
    description
    string
    countryCode
    string
    The ISO 3166-1 alpha-2 two-letter country code for the site
    refPointWgs84
    array: number
    coordinateSystem
    object
    srid
    number
    refPoint
    array: number
    timezone
    string
    Timezone identifier as defined in the IANA Time Zone Database
    archivedAt
    datetime: ISO 8601
    inviteOnly
    boolean
    projectId
    string
    Parent project ID

    Max length: 40

    Example

    Request

    curl -v 'https://developer.api.autodesk.com/forma/site/v1alpha/sites/:siteId' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "id": "",
      "name": "",
      "createdAt": "",
      "hubId": "",
      "description": "",
      "countryCode": "NO",
      "refPointWgs84": [
        ""
      ],
      "coordinateSystem": {
        "srid": "",
        "refPoint": [
          ""
        ]
      },
      "timezone": "Europe/Oslo",
      "archivedAt": "",
      "inviteOnly": "",
      "projectId": ""
    }
    
    Show More